Subject: Re: I-D ACTION:draft-ietf-pkix-ipki-pkalgs-04.txt

From: "[email-masked]" <[email-masked]>
Date: Thu, 18 Oct 2001 20:41:56 -0400

Sorry if I've repeated errors caught by others.
I'm time traveling in Korea this week and for me
it is already tomorrow.

Search for "the the" in the text. 

Note that there is a reference in the ASN.1 to an
X9.57 OID but not to that standard. I would guess
that FIPS 186 does not contain the ASN.1 notation
this OID identifies.

The draft refers to DER but gives no reference to
X.690 where DER is defined.

The draft refers to X.208, but see the notice on
X.208/X.209 in the attached.

Notice that "{ ansi-X9.62 2 }" is not a valid value
of type OBJECT IDENTIFIER as the dot is not allowed.

The extension marker appears to be missing in the line

  cofactor  INTEGER  OPTIONAL,  -- The integer h = #E(Fq)/n

causing the inclusion of the comma to be in error. This
marker ( ... ) is important as it alerts implementors 
to expect future values of type ECParameters to contain
additional components.

Type ECPVer is not a constrained integer. It would be
safer not to lead implementors to believe that the
"-- version is always 1". This condition may only 
hold true for this document. Best always to plan 
for change.

Phil Griffin

--------------------------------------------------------------------
mail2web - Check your email from the web at
http://mail2web.com/ .